import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/job_list_edit_index_s_g_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/job_list_edit_index_s_g_entity.g.dart';

@JsonSerializable()
class JobListEditIndexSGEntity {
	@JSONField(name: "job_id")
	String? jobId = null;
	@JSONField(name: "job_title")
	String? jobTitle = null;
	@JSONField(name: "outlet_id")
	int outletId = 0;
	@JSONField(name: "req_type")
	int reqType = 0;
	@JSONField(name: "start_time")
	String? startTime = null;
	@JSONField(name: "end_time")
	String? endTime = null;
	@JSONField(name: "sex_limit")
	int sexLimit = 0;
	@JSONField(name: "male_limit")
	int maleLimit = 0;
	@JSONField(name: "female_limit")
	int femaleLimit = 0;
	@JSONField(name: "need_num")
	int needNum = 0;
	String? remark = null;
	String? disabled;
	@JSONField(name: "is_yy")
	bool? isYY;
	@JSONField(name: "outlet_list")
	List<JobListEditIndexOption> outletList = [];
	@JSONField(name: "request_type")
	List<JobListEditIndexOption> requestType = [];
	@JSONField(name: "position_list")
	List<JobListEditIndexOption> positionList = [];
	@JSONField(name: "limit_list")
	List<JobListEditIndexOption> limitList = [];

	JobListEditIndexSGEntity();

	factory JobListEditIndexSGEntity.fromJson(Map<String, dynamic> json) => $JobListEditIndexSGEntityFromJson(json);

	Map<String, dynamic> toJson() => $JobListEditIndexSGEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class JobListEditIndexOption {
	String? value = null;
	String? txt = null;
	String? selected = null;
	String? checked = null;

	JobListEditIndexOption();

	factory JobListEditIndexOption.fromJson(Map<String, dynamic> json) => $JobListEditIndexOptionFromJson(json);

	Map<String, dynamic> toJson() => $JobListEditIndexOptionToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}
